Name:           tvheadend
Summary:        TV streaming server
Version:        4.3
Release:        %mkrel 3
License:        GPLv3
URL:            http://www.lonelycoder.com
Group:          Video
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}.init
Source2:        %{name}.png
Source4:        %{name}.conf
Patch0:         016de1aae4d2951794005dc5b72345bcb3f700b0.patch
Patch1:         tvheadend-4.3-more-gcc7-fixes.patch
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  libgcrypt-devel

Requires(post): pwgen
Requires(pre):  rpm-helper
Requires(preun):rpm-helper

%description
Tvheadend is a TV streaming server for Linux supporting DVB-S, DVB-S2, DVB-C,
DVB-T, ATSC, IPTV, and Analog video (V4L) as input sources.

For the full list of features see the documentation at:
https://www.lonelycoder.com/hts/tvheadend/docs/2_12/index.html

%prep
%setup -q
%apply_patches

%build
%setup_compile_flags
%configure2_5x \
    --release \

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/.hts/%{name}/accesscontrol
cp -v %{SOURCE4} %{buildroot}%{_localstatedir}/lib/%{name}/.hts/%{name}/accesscontrol/1

mkdir -p %{buildroot}%{_iconsdir}
cp -v %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Tvheadend
Comment=TV streaming server
Exec=%{_bindir}/xdg-open http://localhost:9981/
Icon=%{_iconsdir}/%{name}
Type=Application
Categories=AudioVideo;Video;TV;Recorder;X-MandrivaLinux-Multimedia-Video;
EOF

mkdir -p %{buildroot}%{_initddir}
install -m 0755 %{SOURCE1} %{buildroot}/%{_initddir}/%{name}

chmod +x %{buildroot}%{_bindir}/%name

%pre
# create a user "tvheadend" with a home directory /var/lib/tvheadend
# with no login shell and make him a member of the video group
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /sbin/nologin
gpasswd -a %{name} video >/dev/null

%post
chown %{name}:root %{_localstatedir}/lib/%{name} 
cd %{_localstatedir}/lib/%{name}
chown -R %{name}:video .hts*

# check if the access control file still has the initial dummy password, and
# replace the dummy password by a random, 12-character pwgen-generated password
if  grep -q '"password": "dummypassword"' %{_localstatedir}/lib/%{name}/.hts/%{name}/accesscontrol/1; then
  sed -i "s,\"password\": \"dummypassword\",\"password\": \"$(pwgen -s 12 1)\"," %{_localstatedir}/lib/%{name}/.hts/%{name}/accesscontrol/1
fi

%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc LICENSE.md README.md
%{_bindir}/%name
%{_initddir}/%name
%{_mandir}
%{_iconsdir}/%name.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}

#home directory and config file 
%dir %attr(-,tvheadend,root) %{_localstatedir}/lib/%{name}
%dir %attr(-,tvheadend,video) %{_localstatedir}/lib/%{name}/.hts/%{name}/accesscontrol
%attr(0600,tvheadend,video) %{_localstatedir}/lib/%{name}/.hts/%{name}/accesscontrol/1


%changelog
* Sat Feb 02 2019 tex - 4.3-3pclos2019
- dont disable hdhomerun ffmpeg_static

* Sat Feb 02 2019 tex - 4.3-2pclos2019
- fix init script

* Sat Feb 02 2019 tex - 4.3-1pclos2019
- new version

* Tue May 23 2017 bb2 <bb2> - 4.2.1-1pclos2017
- new version

* Tue Aug 09 2016 TerryN <terryn94 at gmail.com> 4.0.9-1pclos2016
- 4.0.9

* Tue Jun 02 2015 pinoc <vogtpet at gmail.com> 4.0.4-1pclos2015
- 4.0.4

